<template>
    <div>
        <v-table :columns="columns" :ds="items" v-model:value="selectList" :pageSize="filter.pageSize || 20"
            :totalRecord="totalRecord" @page="onPageChange" :current="current" @pageSizeChange="onChangePageSize"
            v-model:search="filter.search" @onSearch="onSearch" @onEdit="onEdit" @onDelete="onDelete"  width="100%"
            >
        </v-table>
    </div>
  </template>
  
  <script>
  import { mapActions, mapGetters } from 'vuex';
  import VTable from '@/components/VTable';
  import { ElMessage } from 'element-plus';
  
  
  export default {
    name: 'v-brand-info-list',
    components: {
        VTable,
    },
    props: {
        totalRecord: {
            type: Number,
            default: 20
        },
        data: {
            type: Array,
            default: () => []
        },
    },
    created() {
        this.onFetchAll();
        
    },
    computed: {
        ...mapGetters('BrandInfo', ['items', 'totalRecord']),
      
    },
    data: () => ({
        filter: {
            pageSize: 20,
            pageNumber: 1,
            search: '',
            proId: 0
        },
        current: 1,
        selectList: [],
        columns: [
            {
                field: 'nameKh',
                name: 'Name Kh',
            },
            {
                field: 'code',
                name: 'Code'
            },
            {
                field: 'abbreviation',
                name: 'Abbreviation',
             
            },
            {
                field: 'address',
                name: 'Address',
              
            },
            {
                field: 'startDate',
                name: 'Start Date'
            },
           
        ]
    }),
    methods: {
        onChangePageSize(value) {
            this.filter = { ...this.filter, ...{ pageSize: value } };
            this.onFetchAll();
        },
        onFetchAll() {
            try {
                this.selectList = [];
               
            } catch (error) {
                ElMessage({
                    showClose: true,
                    message: error,
                })
            }
        },
        ...mapActions('BrandInfo'),
       
       
        onChangeProject(id) {
            this.filter = { ...this.filter, ...{ proId: id || 0 } }
            this.onFetchAll();
        },
        onPageChange(page) {
            this.current = page;
            this.filter = { ...this.filter, ...{ pageNumber: (page - 1) } }
            this.onFetchAll();
        },
        onSearch() {
            this.onFetchAll();
        },
        onEdit(val) {
            this.$router.push({ path: `/brand-info/edit/${val}` });
        },
        
    },
  }
  </script>